# Local pipeline status

```http
GET https://api.synup.com/api/v4/local-post-ideas/pipeline-status
```

Returns the status of the post-idea generation pipeline for a location — current step, steps completed/remaining, and any error.

Source: https://developer.synup.com/api/local-post-ideas/local-pipeline-status

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required | Relay-encoded location ID. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/local-post-ideas/pipeline-status' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
